Entitlement Insight - Get Environment Resources
Get environment resource entitlement snapshots for an entitlement.
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/environments/{environmentId}/resources?fromDate={fromDate}&toDate={toDate}&api-version=2024-10-01
GET https://api.powerplatform.com/licensing/entitlements/{entitlementId}/environments/{environmentId}/resources?fromDate={fromDate}&toDate={toDate}&searchRequest={searchRequest}&includeFields={includeFields}&orderbyConsumed={orderbyConsumed}&continuationToken={continuationToken}&api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
entitlement
|
path | True |
string |
The entitlement ID. |
|
environment
|
path | True |
string |
The environment ID. |
|
api-version
|
query | True |
string |
The API version. |
|
from
|
query | True |
string |
The start date (inclusive) of the query range. |
|
to
|
query | True |
string |
The end date (inclusive) of the query range. |
|
continuation
|
query |
string |
Continuation token for pagination. |
|
|
include
|
query |
string |
Comma separated additional fields to include in the response. |
|
|
orderby
|
query |
string |
Order by consumed date time if specified. |
|
|
search
|
query |
string |
Search request for filtering the resources. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 204 No Content |
No Content |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
|
Entitlement |
The unit of measure for an entitlement. |
|
Environment |
|
|
Environment |
A paged response with a continuation token. |
|
Environment |
EntitlementUnit
The unit of measure for an entitlement.
| Value | Description |
|---|---|
| NotSpecified | |
| MB | |
| Count | |
| Hour |
EnvironmentEntitlementSnapshotResponseModel
| Name | Type | Description |
|---|---|---|
| resources |
EnvironmentEntitlementSnapshotResponseModelPagedResponse
A paged response with a continuation token.
| Name | Type | Description |
|---|---|---|
| @odata.count |
integer (int32) |
|
| @odata.nextLink |
string |
|
| continuationtoken |
string |
|
| value |
EnvironmentResourceEntitlementSnapshotResponseModel
| Name | Type | Description |
|---|---|---|
| consumed |
number (double) |
The consumed value. |
| lastRefreshedDate |
string (date-time) |
The last refreshed date. |
| metadata |
object |
Additional metadata such as Feature, ProductName and nonBillableConsumed for MCSMessages. |
| resourceId |
string |
The resource ID. |
| unit |
The unit of measure for an entitlement. |